ALAS-2013-162


Amazon Linux AMI Security Advisory: ALAS-2013-162
Advisory Release Date: 2014-09-15 22:34 Pacific
Severity: Important

Issue Overview:

Multiple improper permission check issues were discovered in the JMX and Libraries components in OpenJDK. An untrusted Java application or applet could use these flaws to bypass Java sandbox restrictions. (CVE-2013-1486 , CVE-2013-1484 )

An improper permission check issue was discovered in the Libraries component in OpenJDK. An untrusted Java application or applet could use this flaw to bypass certain Java sandbox restrictions. (CVE-2013-1485 )

It was discovered that OpenJDK leaked timing information when decrypting TLS/SSL protocol encrypted records when CBC-mode cipher suites were used. A remote attacker could possibly use this flaw to retrieve plain text from the encrypted packets by using a TLS/SSL server as a padding oracle. (CVE-2013-0169 )


Affected Packages:

java-1.7.0-openjdk


Issue Correction:
Run yum update java-1.7.0-openjdk to update your system.

New Packages:
i686:
    java-1.7.0-openjdk-1.7.0.9-2.3.7.1.20.amzn1.i686
    java-1.7.0-openjdk-debuginfo-1.7.0.9-2.3.7.1.20.amzn1.i686
    java-1.7.0-openjdk-src-1.7.0.9-2.3.7.1.20.amzn1.i686
    java-1.7.0-openjdk-devel-1.7.0.9-2.3.7.1.20.amzn1.i686
    java-1.7.0-openjdk-demo-1.7.0.9-2.3.7.1.20.amzn1.i686

noarch:
    java-1.7.0-openjdk-javadoc-1.7.0.9-2.3.7.1.20.amzn1.noarch

src:
    java-1.7.0-openjdk-1.7.0.9-2.3.7.1.20.amzn1.src

x86_64:
    java-1.7.0-openjdk-1.7.0.9-2.3.7.1.20.amzn1.x86_64
    java-1.7.0-openjdk-devel-1.7.0.9-2.3.7.1.20.amzn1.x86_64
    java-1.7.0-openjdk-debuginfo-1.7.0.9-2.3.7.1.20.amzn1.x86_64
    java-1.7.0-openjdk-src-1.7.0.9-2.3.7.1.20.amzn1.x86_64
    java-1.7.0-openjdk-demo-1.7.0.9-2.3.7.1.20.amzn1.x86_64